package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasSysPesRelation;
import com.koobietech.eas.mbg.model.EasSysPesRelationExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasSysPesRelationMapper {
    long countByExample(EasSysPesRelationExample example);

    int deleteByExample(EasSysPesRelationExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasSysPesRelation record);

    int insertSelective(EasSysPesRelation record);

    List<EasSysPesRelation> selectByExample(EasSysPesRelationExample example);

    EasSysPesRelation selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasSysPesRelation record, @Param("example") EasSysPesRelationExample example);

    int updateByExample(@Param("record") EasSysPesRelation record, @Param("example") EasSysPesRelationExample example);

    int updateByPrimaryKeySelective(EasSysPesRelation record);

    int updateByPrimaryKey(EasSysPesRelation record);
}